Subject: Re: linux-next: manual merge of the drm-intel tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 8 Sep 2020 21:04:49 +1000

Hi Hans,

On Tue, 8 Sep 2020 10:22:06 +0200 Hans de Goede <[email-masked]> wrote:
>
> On 9/8/20 6:00 AM, Stephen Rothwell wrote:
> > 
> > Today's linux-next merge of the drm-intel tree got a conflict in:
> > 
> >    drivers/gpu/drm/i915/display/intel_panel.c
> > 
> > between commit:
> > 
> >    f8bd54d21904 ("drm/i915: panel: Use atomic PWM API for devs with an external PWM controller")

This should have been

  899c537c25f9 ("drm/i915: Use 64-bit division macro")

> > 
> > from Linus' tree and commit:
> > 
> >    6b51e7d23aa8 ("drm/i915: panel: Honor the VBT PWM frequency for devs with an external PWM controller")  
> 
> That doesn't sound correct, those are both commits from the drm-intel tree.
> 
> > from the drm-intel tree.
> > 
> > I fixed it up (I just used the latter)  
> 
> Just taking the drivers/gpu/drm/i915/display/intel_panel.c contents of:
> 
> f8bd54d21904 ("drm/i915: panel: Use atomic PWM API for devs with an external PWM controller")
> 
> Is the right thing to do, the problem is a difference in a line which gets
> removed in that commit.

Which is what I actually did, I guess :-)

Sorry about that.
-- 
Cheers,
Stephen Rothwell